@import url('https://fonts.googleapis.com/css2?family=Oswald&display=swap');
:root
{
    --primary-color: #F25A77;
    --secondary-color: #eeeeee;
    --a-color: #333;
}

*
{
    box-sizing: border-box;
    font-family: 'Oswald', sans-serif;
}

body
{
    background: linear-gradient( to bottom right, #333, #888 );
    margin: 0;
    display: flex;
}

.container
{
    position: relative;
    width: 95vw;
    height: 95vh;
    display: grid;
    grid-template-rows: 25% 50% 25%;
    flex-direction: column;
    overflow: hidden;
    margin: 2.5vh auto;
    padding: 0;
    background: linear-gradient( 180deg, var(--primary-color), var(--secondary-color) );
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.8);
    border-radius: 2rem;
    color: white;
}

.header
{
    display: grid;
    grid-template-columns: 15% 70% 15%;
    align-items: center;
    width: 100%;
}

.header .logo
{
    width: 80%;
}

.header .navigation
{
    justify-self: center;
    font-size: 1.5vw;
}

.header .navigation a
{
    text-transform: uppercase;
    font-weight: 600;
    margin: 0.8rem;
    cursor: pointer;
	justify-self: center;
	transition: 0.3s;
}

.header .navigation a:hover
{
    color: var(--a-color);
}

.header .btn
{
    width: 10vw;
    background-color: #F66223;
    border-radius: 1rem;
    justify-self: center;
    padding: 1rem;
    border: none;
    font-weight: 600;
    transition: 0.3s;
}

.header .btn:hover
{
    transform: translateY(-8px);
}

.header .btn:focus
{
    outline: none;
}

.model-name
{
    position: fixed;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 5.5vw;
    font-weight: 900;

    opacity: 1;
    animation-name: fadeInOpacity;
    animation-timing-function: linear;
    animation-duration: 1s;
}

.car
{
    position: relative;
    justify-self: center;
    align-self: center;
}

.car .car-img
{
    display: block;
    margin: auto;
    width: 55%;
}

.car .gray
{
    -webkit-filter: brightness(0.4);
    filter: brightness(0.4);
}

.car .turquoise
{
    -webkit-filter: grayscale(100%) brightness(40%) sepia(100%) hue-rotate(130deg) saturate(1000%) contrast(0.8);
    filter: grayscale(100%) brightness(40%) sepia(100%) hue-rotate(130deg) saturate(1000%) contrast(0.8);
}

.car .red
{
    -webkit-filter: grayscale(38%) brightness(25%) sepia(100%) hue-rotate(-50deg) saturate(1000%) contrast(0.8);
    filter: grayscale(38%) brightness(25%) sepia(100%) hue-rotate(-50deg) saturate(1000%) contrast(0.8);
}

.car .green
{
    -webkit-filter: grayscale(150%) brightness(30%) sepia(100%) hue-rotate(50deg) saturate(1072%) contrast(0.8);
    filter: grayscale(150%) brightness(30%) sepia(100%) hue-rotate(50deg) saturate(1072%) contrast(0.8);
}

.car .car-img ::after
{
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #F25A77;
    z-index: 999;
}

.car .wheel-img
{
    position: absolute;
    width: 9.6vw;
    top: 40%;
    transform: translate(-50%, -50%);
    animation: spin 7s linear infinite;
}

.car .left-wheel-img
{
    left: 29%;
}
.car .right-wheel-img
{
    left: 59.3%;
    width: 9.4vw;
}

.brochure
{
    display: grid;
    grid-template-columns: 60% repeat(4 ,1fr);
    align-items: center;
    width: 90%;
    margin: 0 auto;
    justify-items: center;
    font-size: 1vw;
    font-weight: 600;
    text-align: center;
}

.brochure .main-details
{
    text-transform: uppercase;
    justify-self: flex-start;
}

.brochure .main-details h3
{
    color: #000;
    margin: 0.2rem;
}

.brochure .main-details p
{
    color: #000;
    margin: 0.2rem;
}

.brochure .data
{
    color: #000;
}

.brochure .main-details h2, .brochure .detail
{
    color: #C8C3C9;
    margin: 0.2rem;
}

.brochure .detail
{
    color: #C8C3C9;
}

.colors
{
    position: fixed;
    display: flex;
    flex-direction: column;
    top: 50%;
    right: 5%;
    transform: translate(-50%, -50%);
}

.colors .color
{
    margin: 1rem;
    width: 1rem;
    height: 1rem;
    border-radius: 100%;
    border: 1px solid #888;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
    transition: all 0.1s;
}

.colors .color:hover
{
    transform: scale(1.4);
}

.colors .color:focus
{
    outline: none;
}

.colors .white
{
    background-color: #fff;
}

.colors .red
{
    background-color: #D22B2E;
}

.colors .gray
{
    background-color: #363536;
}

.colors .turquoise
{
    background-color: #19BDB7;
}

.colors .green
{
    background-color: #356C0F;
}

@keyframes fadeInOpacity 
{
	0% 
    {
		opacity: 0;
	}
	100% 
    {
		opacity: 1;
	}
}

@keyframes spin 
{
    0% { transform: rotate(0deg); }
    60% { transform: rotate(720deg); }
    100% { transform: rotate(1440deg); }
}